## oasis 0.2.0

=== Makefile ===
################################################################################
#  OASIS: architecture for building OCaml libraries and applications           #
#                                                                              #
#  Copyright (C) 2008-2010, OCamlCore SARL                                     #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################


CONFIGUREFLAGS += --override ocamlbuildflags -classic-display

CONFIGUREFLAGS += $(if $(shell ocamlfind query gettext),--enable-gettext,--disable-gettext)

default: test
#TESTFLAGS      += -long 
#TESTFLAGS      += -verbose
#TESTFLAGS      += -debug
#TESTFLAGS      += -only-test OASIS:5:TestFull:0:../examples/flags:1

# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

# Backup targets to be able to build even if OASIS fails

OASIS ?= boot/oasis

build-backup:
	$(OASIS)
	touch setup.data
	ocamlbuild $(OCAMLBUILDFLAGS) src/tools/ocamlmod.byte
	cp _build/src/tools/ocamlmod.byte _build/src/tools/ocamlmod
	ocamlbuild $(OCAMLBUILDFLAGS) \
	  src/oasis/oasis.cma \
	  src/base/base.cma \
	  src/plugins/custom/plugin-custom.cma \
	  src/plugins/none/plugin-none.cma \
	  src/plugins/internal/plugin-internal.cma \
	  src/plugins/ocamlbuild/plugin-ocamlbuild.cma \
	  src/plugins/extra/META/plugin-meta.cma \
	  src/plugins/extra/devfiles/plugin-devfiles.cma \
	  src/plugins/extra/stdfiles/plugin-stdfiles.cma \
	  src/builtin-plugins.cma \
	  src/OASISMain.byte test/test.byte
	cp _build/src/OASISMain.byte _build/src/oasis
	cp _build/test/test.byte _build/test/test


TEST_BACKUP_RECURSE ?= true

test-backup: build-backup
	if cd test && ../_build/test/test $(TESTFLAGS); then \
	  cd ..; \
	  if $(TEST_BACKUP_RECURSE) && \
	     $(MAKE) test-backup \
	       TEST_BACKUP_RECURSE=false \
	       OASIS=_build/src/oasis; then \
	    cp boot/oasis boot/oasis.old; \
	    cp _build/src/oasis boot/oasis; \
	  fi; \
	fi

clean-backup:
	ocamlbuild -clean

wc:
	find src/ -name "*.ml" | xargs wc -l

headache:
	find ./ -name _darcs -prune -false -o -name _build -prune \
	  -false -o -name ext -prune -false -o -name bindist -prune -false \
		-o -name boot -prune -false \
	  -o -type f \
	  | xargs headache -h _header -c _headache.config

.PHONY: build-backup test-backup clean-backup wc headache

# Binary distribution 

BINDIST_DEBUG=false

bindist:
	if ! $(BINDIST_DEBUG); then $(SETUP) -distclean; fi
	$(SETUP) -configure
	$(MAKE) bindist-step2 BINDIST_CUSTOM=true

-include setup.data
BINDISTDIR=$(CURDIR)/bindist
BINDIR=$(BINDISTDIR)/bin-$(system)-$(architecture)


ifeq ($(os_type),"Win32")
tr_path = cygpath -w
else
tr_path = echo 
endif 

BINDISTGZ=$(pkg_name)-$(pkg_version)-bindist.tar.gz

bindist-step2:
	if ! $(BINDIST_DEBUG); then $(SETUP) -distclean; fi
	if test -d $(BINDISTDIR); then $(RM) -r $(BINDISTDIR); fi
	if test -e $(BINDISTGZ); then tar xzf $(BINDISTGZ); fi
	mkdir -p "$(BINDISTDIR)"
	mkdir -p "$(BINDISTDIR)/share/doc"
	mkdir -p "$(BINDIR)"
	$(SETUP) -configure \
	  --prefix "$$($(tr_path) $(BINDISTDIR))" \
	  --bindir "$$($(tr_path) $(BINDIR))" \
	  --docdir "$$($(tr_path) $(BINDISTDIR)/share/doc)" \
	  --disable-libraries \
	  --override ocamlbuildflags "-classic-display -tag custom" \
	  $(CONFIGUREFLAGS)
	$(SETUP) -build 
	if ! $(BINDIST_DEBUG); then $(SETUP) -test; fi
	if ! [ "$(os_type)" = "Win32" ]; then $(SETUP) -doc; fi
	$(SETUP) -install
	tar czf $(BINDISTGZ) bindist
	-$(RM) -r $(BINDISTDIR)

.PHONY: build-backup test-backup clean-backup wc headache bindist bindist-step2

# Source distribution

dist: setup.data
	if ! [ "$$(darcs diff | wc -l)" = 0 ]; then \
	  echo E: Uncommited changes >&2 ; exit 1; \
	fi
	$(MAKE) test
	$(MAKE) dist-step2

-include setup.data
dist-step2:
	darcs dist --dist-name $(pkg_name)-$(pkg_version)
	if ! (darcs query tag | grep "$(pkg_version)" > /dev/null); then \
	  darcs tag "$(pkg_version)"; \
	else \
	  echo W: Version $(pkg_version) already tagged >&2; \
	fi 
	gpg -s -a -b "$(pkg_name)-$(pkg_version).tar.gz"

.PHONY: dist dist-step2

=== debian/changelog ===
oasis (0.2.0-6) unstable; urgency=low

  * Team upload.
  * Fix FTBFS with oUnit 1.1.1
    - add cope_with_ounit1.1.1_changes.patch
  * Rebuilt with latest OCamlgraph (1.8.2).
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 16 May 2012 12:49:04 +0200

oasis (0.2.0-5) unstable; urgency=low

  * Team upload.
  * Rebuild with OCaml 3.12.1.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 04 Nov 2011 09:08:41 +0100

oasis (0.2.0-4) unstable; urgency=low

  * Don't set timeout to avoid error on slow arch

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 28 Jun 2011 16:16:04 +0000

oasis (0.2.0-3) unstable; urgency=low

  * Team upload
  * Rebuild with new ocaml-data-notation
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jun 2011 08:39:06 +0200

oasis (0.2.0-2) unstable; urgency=low

  * Team upload.
  * Fix broken (inferred) dependencies of the binary package oasis.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 23 Apr 2011 15:03:49 +0200

oasis (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #603830)

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 22 Nov 2010 15:59:13 +0100

=== debian/control ===
Source: oasis
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocamlify,
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  ocaml-base-nox,
  libpcre-ocaml-dev,
  libounit-ocaml-dev (>= 1.1.0),
  libodn-ocaml-dev (>= 0.0.3),
  libocamlgraph-ocaml-dev,
  libfindlib-ocaml-dev,
  libfileutils-ocaml-dev,
  libextlib-ocaml-dev,
  libexpect-ocaml-dev (>= 0.0.2),
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~)
Standards-Version: 3.9.3
Homepage: http://oasis.forge.ocamlcore.org/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/oasis.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/oasis.git

Package: oasis
Architecture: all
Suggests: liboasis-ocaml-doc
Depends:
 ${misc:Depends},
 libextlib-ocaml,
 liboasis-ocaml,
 libodn-ocaml,
 libpcre-ocaml,
 ocaml-base-nox-${F:OCamlABI}
Description: Architecture for building OCaml libraries and applications
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 It also allows to have standard entry points and description. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains command-line tools.

Package: liboasis-ocaml-dev
Architecture: any
Suggests: liboasis-ocaml-doc
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Architecture for building OCaml libraries and applications
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 It also allows to have standard entry points and description. It helps to
 integrates your libraries and software with third parties tools like GODI.

Package: liboasis-ocaml
Architecture: any
Suggests: liboasis-ocaml-doc
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Architecture for building OCaml libraries and applications
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 It also allows to have standard entry points and description. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains the shared runtime libraries.

Package: liboasis-ocaml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Architecture for building OCaml libraries and applications
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 It also allows to have standard entry points and description. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/liboasis-ocaml-doc'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing
	echo 'F:OCamlABI=$(OCAML_ABI)' >> debian/oasis.substvars

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

debian/oasis.1: debian/oasis.mkd
	pandoc -s -w man $^ -o $@

## oasis 0.3.0

=== Makefile ===
--- 
+++ 
@@ -25,10 +25,12 @@
 CONFIGUREFLAGS += $(if $(shell ocamlfind query gettext),--enable-gettext,--disable-gettext)
 
 default: test
-#TESTFLAGS      += -long 
+	-OCamlDarcsPrecommit
+
+export OCAMLRUNPARAM=b
+TESTFLAGS      += -not-long
 #TESTFLAGS      += -verbose
-#TESTFLAGS      += -debug
-#TESTFLAGS      += -only-test OASIS:5:TestFull:0:../examples/flags:1
+#TESTFLAGS      += -only-test OASIS:5:TestFull:2:../examples/packedlib:0:standard
 
 # OASIS_START
 # DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
@@ -69,61 +71,22 @@
 
 # OASIS_STOP
 
-# Backup targets to be able to build even if OASIS fails
-
-OASIS ?= boot/oasis
-
-build-backup:
-	$(OASIS)
-	touch setup.data
-	ocamlbuild $(OCAMLBUILDFLAGS) src/tools/ocamlmod.byte
-	cp _build/src/tools/ocamlmod.byte _build/src/tools/ocamlmod
-	ocamlbuild $(OCAMLBUILDFLAGS) \
-	  src/oasis/oasis.cma \
-	  src/base/base.cma \
-	  src/plugins/custom/plugin-custom.cma \
-	  src/plugins/none/plugin-none.cma \
-	  src/plugins/internal/plugin-internal.cma \
-	  src/plugins/ocamlbuild/plugin-ocamlbuild.cma \
-	  src/plugins/extra/META/plugin-meta.cma \
-	  src/plugins/extra/devfiles/plugin-devfiles.cma \
-	  src/plugins/extra/stdfiles/plugin-stdfiles.cma \
-	  src/builtin-plugins.cma \
-	  src/OASISMain.byte test/test.byte
-	cp _build/src/OASISMain.byte _build/src/oasis
-	cp _build/test/test.byte _build/test/test
-
-
-TEST_BACKUP_RECURSE ?= true
-
-test-backup: build-backup
-	if cd test && ../_build/test/test $(TESTFLAGS); then \
-	  cd ..; \
-	  if $(TEST_BACKUP_RECURSE) && \
-	     $(MAKE) test-backup \
-	       TEST_BACKUP_RECURSE=false \
-	       OASIS=_build/src/oasis; then \
-	    cp boot/oasis boot/oasis.old; \
-	    cp _build/src/oasis boot/oasis; \
-	  fi; \
-	fi
-
-clean-backup:
-	ocamlbuild -clean
-
 wc:
 	find src/ -name "*.ml" | xargs wc -l
 
+wc-setup:
+	awk -f src/tools/setup-wc.awk setup.ml
+
 headache:
 	find ./ -name _darcs -prune -false -o -name _build -prune \
-	  -false -o -name ext -prune -false -o -name bindist -prune -false \
-		-o -name boot -prune -false \
-	  -o -type f \
+	  -false -o -name ext -prune -false -o -name bindist -prune \
+	  -false -o -name boot -prune -false \
+	  -o -name '*[^~]' -type f \
 	  | xargs headache -h _header -c _headache.config
 
-.PHONY: build-backup test-backup clean-backup wc headache
+.PHONY: wc wc-setup headache
 
-# Binary distribution 
+# Binary distribution
 
 BINDIST_DEBUG=false
 
@@ -140,8 +103,8 @@
 ifeq ($(os_type),"Win32")
 tr_path = cygpath -w
 else
-tr_path = echo 
-endif 
+tr_path = echo
+endif
 
 BINDISTGZ=$(pkg_name)-$(pkg_version)-bindist.tar.gz
 
@@ -159,32 +122,37 @@
 	  --disable-libraries \
 	  --override ocamlbuildflags "-classic-display -tag custom" \
 	  $(CONFIGUREFLAGS)
-	$(SETUP) -build 
+	$(SETUP) -build
 	if ! $(BINDIST_DEBUG); then $(SETUP) -test; fi
 	if ! [ "$(os_type)" = "Win32" ]; then $(SETUP) -doc; fi
 	$(SETUP) -install
 	tar czf $(BINDISTGZ) bindist
 	-$(RM) -r $(BINDISTDIR)
 
-.PHONY: build-backup test-backup clean-backup wc headache bindist bindist-step2
+.PHONY: bindist bindist-step2
 
 # Source distribution
 
-dist: setup.data
-	if ! [ "$$(darcs diff | wc -l)" = 0 ]; then \
-	  echo E: Uncommited changes >&2 ; exit 1; \
+dist:
+	# Check consistency of versions
+	OASIS_CMD_VER=$$(oasis version); \
+	OASIS_DIST_VER=$$(oasis query version); \
+	OASIS_SETUP_VER=$$($(SETUP) -version); \
+	if [ "x$$OASIS_CMD_VER" != "x$$OASIS_DIST_VER" ]; then \
+		echo "Must be running the same version of oasis as the one being built" >&2; \
+		exit 1; \
+	fi; \
+	if [ "x$$OASIS_SETUP_VER" != "x$$OASIS_DIST_VER" ]; then \
+		echo "Must be running the have used the same version for setup.ml  as the one being built" >&2; \
+		exit 1; \
 	fi
-	$(MAKE) test
-	$(MAKE) dist-step2
+	./src/tools/oasis-dist.ml
 
--include setup.data
-dist-step2:
-	darcs dist --dist-name $(pkg_name)-$(pkg_version)
-	if ! (darcs query tag | grep "$(pkg_version)" > /dev/null); then \
-	  darcs tag "$(pkg_version)"; \
-	else \
-	  echo W: Version $(pkg_version) already tagged >&2; \
-	fi 
-	gpg -s -a -b "$(pkg_name)-$(pkg_version).tar.gz"
+.PHONY: dist
 
-.PHONY: dist dist-step2
+# Fixing permissions
+
+fixperms:
+	for i in $$(cat _fixperms); do chmod +x "./$$i"; done
+
+.PHONY: fixperms

=== po/Makefile ===
################################################################################
#  OASIS: architecture for building OCaml libraries and applications           #
#                                                                              #
#  Copyright (C) 2008-2010, OCamlCore SARL                                     #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

OCAML_GETTEXT_PACKAGE = oasis
LINGUAS=$(shell cat LINGUAS)
SOURCES=POTFILES

ODN_OPTIONS=-parser Camlp4OCamlParser.cmo \
	    -parser Camlp4OCamlParserParser.cmo \
	    $(shell ocamlfind query \
  	      -predicates syntax,preprocessor \
	      -format "-I %d %A" -r \
	      odn.without.syntax)

OCAML_GETTEXT=ocaml-gettext
OCAML_GETTEXT_EXTRACT_OPTIONS=--extract-default-option '$(ODN_OPTIONS)'
OCAML_GETTEXT_COMPILE_OPTIONS=
OCAML_GETTEXT_INSTALL_OPTIONS=
OCAML_GETTEXT_MERGE_OPTIONS=

BUILDPO=../_build/po/

POFILES=$(addsuffix .po,$(LINGUAS))
MOFILES=$(addsuffix .mo,$(LINGUAS))
POTFILE=$(OCAML_GETTEXT_PACKAGE).pot

all: install-buildpo

install: install-po

uninstall: uninstall-po

clean:: clean-po

%.mo: %.po
	$(OCAML_GETTEXT) --action compile $(OCAML_GETTEXT_COMPILE_OPTIONS)    \
	  --compile-output $@ $^

%.pot: $(SOURCES)
	$(OCAML_GETTEXT) --action extract $(OCAML_GETTEXT_EXTRACT_OPTIONS)    \
	  --extract-pot $@ $^

%.po: $(POTFILE)
	$(OCAML_GETTEXT) --action merge   $(OCAML_GETTEXT_MERGE_OPTIONS)      \
	  --merge-pot $(POTFILE) $@

$(BUILDPO): 
	mkdir -p $(BUILDPO)

.PRECIOUS: $(POTFILE) 

install-buildpo: $(MOFILES) $(BUILDPO)
	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
	  --install-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
	  --install-destdir $(BUILDPO) $(MOFILES)

install-po: $(MOFILES) 
	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
	  --install-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
	  --install-destdir $(PODIR) $(MOFILES)

uninstall-po:
	$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS)  \
	  --uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                     \
	  --uninstall-orgdir $(PODIR) $(MOFILES)

clean-po:
	-$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS) \
	  --uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                     \
	  --uninstall-orgdir $(BUILDPO) $(MOFILES)
	-$(RM) $(MOFILES)

=== test/data/customdoc/Makefile ===
################################################################################
#  OASIS: architecture for building OCaml libraries and applications           #
#                                                                              #
#  Copyright (C) 2008-2010, OCamlCore SARL                                     #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

all:

doc: 
	ocamldoc -html A.ml

doc-clean:
	$(RM) *.html style.css

=== debian/changelog ===
oasis (0.3.0-4) unstable; urgency=low

  * Team upload
  * debian/patches:
    • switch patches to dom-{save,apply}-patches workflow
    + Update ocamldoc-related test for OCaml 4.01.0 (Closes: #731636)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Dec 2013 11:03:26 +0100

oasis (0.3.0-3) unstable; urgency=high

  * Team upload.
  * Fix test suite on bytecode architectures (Closes: #718748).
    + Add fix-testsuite-on-bytecode-archs.patch.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 27 Nov 2013 00:44:09 +0100

oasis (0.3.0-2) unstable; urgency=low

  * update Vcs fields
  * add patch from Sylvain (Closes: #711452)
  * enable tests (add patch fixperms-debian-rules to fix premature errors)
  * cp OASISData.mli with proper test
  * add build-dep zlib1g-dev for tests
  * add liboasis-ocaml-dev dependency to oasis (Closes: #711451)
  * add patch require-ocamlbuild-for-test for fixing test
    OASIS:5:TestFull:28:setup
  * build-depend on libidn11-dev and libbitstring-ocaml-dev to enable more tests

 -- Hendrik Tews <hendrik@askra.de>  Mon, 24 Jun 2013 10:33:04 +0200

oasis (0.3.0-1) unstable; urgency=low

  * Imported Upstream version 0.3.0 (Closes: #684563)
  * fix copyright file
  * refresh patches
    - remove dubious patch debian-changes-0.2.0-1
    - remove cope_with_ounit1.1.1 because of upstream fix
    - fix description in debian-changes-0.2.0-4
    - add lintian-spelling for spelling errors
    - add fix-ocamlbuild-plugin-export for the Ocamlbuild_plugin 
      export problem
  * add myself as uploader
  * bump standards version and debhelper compat level
  * build missing src/oasis/OASISData.mli
  * fix debian/rules
  * delete cleaner from gbd.conf
  * fix build dependencies
  * fix *.install files
  * improve package description and man page (triggered by lintian)
  * add lintian override for 
    liboasis-ocaml-dev: extra-license-file usr/lib/ocaml/oasis/OASISLicense.cmi

 -- Hendrik Tews <hendrik@askra.de>  Thu, 30 May 2013 11:40:09 +0200

oasis (0.2.0-7) unstable; urgency=low

  * Team upload
  * Switch oasis to arch:any, and make it use ${ocaml:Depends}
  * Rebuild with latest pcre-ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 12 May 2013 13:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,16 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: 
-  Sylvain Le Gall <gildor@debian.org>
+  Sylvain Le Gall <gildor@debian.org>,
+  Hendrik Tews <hendrik@askra.de>
 Build-Depends:
+  debhelper (>= 9),
+  dh-ocaml (>= 0.9~),
+  ocaml-nox (>= 3.11.1-3~),
+  ocaml-best-compilers,
+  ocaml-findlib,
   ocamlify,
-  ocaml-nox (>= 3.11.1-3~),
-  ocaml-findlib,
-  ocaml-base-nox,
+  ocamlmod,
   libpcre-ocaml-dev,
   libounit-ocaml-dev (>= 1.1.0),
   libodn-ocaml-dev (>= 0.0.3),
@@ -17,24 +21,23 @@
   libfileutils-ocaml-dev,
   libextlib-ocaml-dev,
   libexpect-ocaml-dev (>= 0.0.2),
-  dh-ocaml (>= 0.9~),
-  debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+  zlib1g-dev,
+  libidn11-dev,
+  libbitstring-ocaml-dev
+Standards-Version: 3.9.4
 Homepage: http://oasis.forge.ocamlcore.org/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/oasis.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/oasis.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/oasis.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/oasis.git
 
 Package: oasis
-Architecture: all
+Architecture: any
 Suggests: liboasis-ocaml-doc
 Depends:
+ ${ocaml:Depends},
+ ${shlibs:Depends},
  ${misc:Depends},
- libextlib-ocaml,
- liboasis-ocaml,
- libodn-ocaml,
- libpcre-ocaml,
- ocaml-base-nox-${F:OCamlABI}
-Description: Architecture for building OCaml libraries and applications
+ liboasis-ocaml-dev
+Description: Build-system generation for OCaml projects -- binaries
  OASIS generates a full configure, build and install system for your
  application. It starts with a simple `_oasis` file at the toplevel of your
  project and creates everything required.
@@ -52,7 +55,7 @@
  configure/install scheme. Libraries are managed through findlib. It has been
  tested on GNU Linux and Windows.
  .
- It also allows to have standard entry points and description. It helps to
+ OASIS supports standard entry points and descriptions. It helps to
  integrates your libraries and software with third parties tools like GODI.
  .
  This package contains command-line tools.
@@ -60,10 +63,13 @@
 Package: liboasis-ocaml-dev
 Architecture: any
 Suggests: liboasis-ocaml-doc
-Depends: ${ocaml:Depends}, ${misc:Depends}
+Depends: 
+ ${ocaml:Depends}, 
+ ${shlibs:Depends},
+ ${misc:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
-Description: Architecture for building OCaml libraries and applications
+Description: Build-system generation for OCaml projects -- development files
  OASIS generates a full configure, build and install system for your
  application. It starts with a simple `_oasis` file at the toplevel of your
  project and creates everything required.
@@ -81,15 +87,21 @@
  configure/install scheme. Libraries are managed through findlib. It has been
  tested on GNU Linux and Windows.
  .
- It also allows to have standard entry points and description. It helps to
+ OASIS supports standard entry points and descriptions. It helps to
  integrates your libraries and software with third parties tools like GODI.
+ .
+ This package contains the development files needed for using OASIS as
+ a library.
 
 Package: liboasis-ocaml
 Architecture: any
 Suggests: liboasis-ocaml-doc
-Depends: ${ocaml:Depends}, ${misc:Depends}
+Depends:
+ ${ocaml:Depends}, 
+ ${shlibs:Depends},
+ ${misc:Depends}
 Provides: ${ocaml:Provides}
-Description: Architecture for building OCaml libraries and applications
+Description: Build-system generation for OCaml projects -- runtime
  OASIS generates a full configure, build and install system for your
  application. It starts with a simple `_oasis` file at the toplevel of your
  project and creates everything required.
@@ -107,10 +119,10 @@
  configure/install scheme. Libraries are managed through findlib. It has been
  tested on GNU Linux and Windows.
  .
- It also allows to have standard entry points and description. It helps to
+ OASIS supports standard entry points and descriptions. It helps to
  integrates your libraries and software with third parties tools like GODI.
  .
- This package contains the shared runtime libraries.
+ This package contains the shared runtime libraries and plugins.
 
 Package: liboasis-ocaml-doc
 Architecture: all
@@ -134,7 +146,7 @@
  configure/install scheme. Libraries are managed through findlib. It has been
  tested on GNU Linux and Windows.
  .
- It also allows to have standard entry points and description. It helps to
+ OASIS supports standard entry points and descriptions. It helps to
  integrates your libraries and software with third parties tools like GODI.
  .
  This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+#export DH_OPTIONS=-v
 
 DESTDIR=$(CURDIR)/debian/tmp
 
@@ -14,15 +15,19 @@
 export OCAMLFIND_LDCONF
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/liboasis-ocaml-doc'
+	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/liboasis-ocaml-doc' --enable-tests
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	ocaml setup.ml -build
+	if [ ! -f src/oasis/OASISData.mli ] ; then \
+		ocamlbuild src/oasis/OASISData.inferred.mli; \
+		cp -i _build/src/oasis/OASISData.inferred.mli src/oasis/OASISData.mli; \
+	fi
 	ocaml setup.ml -doc
 
 .PHONY: override_dh_auto_test
@@ -38,7 +43,6 @@
 .PHONY: override_dh_install
 override_dh_install:
 	dh_install --fail-missing
-	echo 'F:OCamlABI=$(OCAML_ABI)' >> debian/oasis.substvars
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:

## oasis 0.4.4

=== Makefile ===
################################################################################
#  OASIS: architecture for building OCaml libraries and applications           #
#                                                                              #
#  Copyright (C) 2011-2013, Sylvain Le Gall                                    #
#  Copyright (C) 2008-2011, OCamlCore SARL                                     #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################


CONFIGUREFLAGS += --override ocamlbuildflags -classic-display --enable-tests
# TODO: gettext doesn't play nice with dynrun.
#CONFIGUREFLAGS += $(if $(shell ocamlfind query gettext),--enable-gettext,--disable-gettext)

default: test

#TESTFLAGS=-only-test "OASIS:3:FileTemplate:6:META.cohttp"
TIMINGS=1
#export TIMINGS

# OASIS_START
# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all:
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean:
	$(SETUP) -clean $(CLEANFLAGS)

distclean:
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

configure:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

# Count number of lines
#

wc:
	find src/ -name "*.ml" | xargs wc -l

wc-setup:
	awk -f src/tools/setup-wc.awk setup.ml

.PHONY: wc wc-setup

# Headache target
#  Fix license header of file.

headache:
	find ./ \
	  -name _darcs -prune -false \
	  -o -name .git -prune -false \
	  -o -name .svn -prune -false \
	  -o -name _build -prune -false \
	  -o -name dist -prune -false \
	  -o -name '*[^~]' -type f \
	  | xargs headache -h _header -c _headache.config

.PHONY: headache

# Doc targets
#  Build documentation and pack them in a tarball.

doc-dist: doc
	./doc-dist.sh

.PHONY: doc-dist

# Precommit target
#  Check style of code.

PRECOMMIT_ARGS= \
	    --exclude myocamlbuild.ml \
	    --exclude setup.ml \
	    --exclude README.txt \
	    --exclude INSTALL.txt \
	    --exclude Makefile \
	    --exclude configure \
	    --exclude _tags

precommit:
	-@if command -v OCamlPrecommit > /dev/null; then \
	  OCamlPrecommit $(PRECOMMIT_ARGS); \
	else \
	  echo "Skipping precommit checks.";\
	fi

precommit-full:
	OCamlPrecommit --full $(PRECOMMIT_ARGS)

test: precommit

.PHONY: precommit

# Deploy target
#  Deploy/release the software.

deploy: headache doc-dist
	# TODO: create a plugin to create documentation.
	# oasis doc-dist
	admin-gallu-deploy --verbose \
	  --forge_upload --forge_group oasis \
	  --forge_extra_file "dist/oasis-doc-$(shell oasis query version).tar.gz"
	# TODO: create a plugin to send announcement.
	# oasis announce
	admin-gallu-oasis-increment --setup_run
	$(MAKE) distclean
	./configure --enable-tests --enable-docs
	$(MAKE) test
	git commit -am "Update OASIS version."

.PHONY: deploy


# Create a tarball for rebuilding the current version
dist-dev:
	ocaml dist.ml -dev

=== debian/changelog ===
oasis (0.4.4-2) unstable; urgency=medium

  * Team upload
  * debian/patches:
    + Remove dynrun_for_release test (it times out on mips*)
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Sat, 14 Jun 2014 12:19:24 +0200

oasis (0.4.4-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Imported upstream version 0.4.4
  * Remove last patch, it has been applied upstream

  [ Sylvain Le Gall ]
  * Imported Upstream version 0.4.2.
  * Remove most of the patches, they have been applied upstream.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Jun 2014 15:21:21 +0200

oasis (0.3.0-5) unstable; urgency=medium

  * Team upload.
  * text.byte requires Extlib through TestCommon. Fixes "FTBFS: Error:
    Unbound module ExtString" (Closes: #746095)

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 May 2014 12:45:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,28 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: 
+Uploaders:
   Sylvain Le Gall <gildor@debian.org>,
   Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   debhelper (>= 9),
   dh-ocaml (>= 0.9~),
-  ocaml-nox (>= 3.11.1-3~),
+  ocaml-nox (>= 3.11.2),
   ocaml-best-compilers,
-  ocaml-findlib,
+  ocaml-findlib (>= 1.3.1),
   ocamlify,
-  ocamlmod,
+  ocamlmod (>= 0.0.7),
   libpcre-ocaml-dev,
-  libounit-ocaml-dev (>= 1.1.0),
-  libodn-ocaml-dev (>= 0.0.3),
-  libocamlgraph-ocaml-dev,
+  libounit-ocaml-dev (>= 2.0.0),
+  libodn-ocaml-dev (>= 0.0.11),
   libfindlib-ocaml-dev,
-  libfileutils-ocaml-dev,
-  libextlib-ocaml-dev,
-  libexpect-ocaml-dev (>= 0.0.2),
+  libfileutils-ocaml-dev (>= 0.4.2),
+  libexpect-ocaml-dev (>= 0.0.4),
   zlib1g-dev,
   libidn11-dev,
+  libextlib-ocaml-dev,
   libbitstring-ocaml-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://oasis.forge.ocamlcore.org/
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/oasis.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/oasis.git
@@ -63,8 +62,8 @@
 Package: liboasis-ocaml-dev
 Architecture: any
 Suggests: liboasis-ocaml-doc
-Depends: 
- ${ocaml:Depends}, 
+Depends:
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
@@ -97,7 +96,7 @@
 Architecture: any
 Suggests: liboasis-ocaml-doc
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}

## oasis 0.4.5

=== Makefile ===
--- 
+++ 
@@ -139,11 +139,14 @@
 deploy: headache doc-dist
 	# TODO: create a plugin to create documentation.
 	# oasis doc-dist
+	mkdir dist || true
 	admin-gallu-deploy --verbose \
 	  --forge_upload --forge_group oasis \
 	  --forge_extra_file "dist/oasis-doc-$(shell oasis query version).tar.gz"
 	# TODO: create a plugin to send announcement.
 	# oasis announce
+	$(MAKE) build
+	./Main.byte setup
 	admin-gallu-oasis-increment --setup_run
 	$(MAKE) distclean
 	./configure --enable-tests --enable-docs

=== po/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 ################################################################################
 #  OASIS: architecture for building OCaml libraries and applications           #
 #                                                                              #
-#  Copyright (C) 2008-2010, OCamlCore SARL                                     #
+#  Copyright (C) 2011-2013, Sylvain Le Gall                                    #
+#  Copyright (C) 2008-2011, OCamlCore SARL                                     #
 #                                                                              #
 #  This library is free software; you can redistribute it and/or modify it     #
 #  under the terms of the GNU Lesser General Public License as published by    #
@@ -62,17 +63,17 @@
 	$(OCAML_GETTEXT) --action merge   $(OCAML_GETTEXT_MERGE_OPTIONS)      \
 	  --merge-pot $(POTFILE) $@
 
-$(BUILDPO): 
+$(BUILDPO):
 	mkdir -p $(BUILDPO)
 
-.PRECIOUS: $(POTFILE) 
+.PRECIOUS: $(POTFILE)
 
 install-buildpo: $(MOFILES) $(BUILDPO)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	  --install-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
 	  --install-destdir $(BUILDPO) $(MOFILES)
 
-install-po: $(MOFILES) 
+install-po: $(MOFILES)
 	$(OCAML_GETTEXT) --action install $(OCAML_GETTEXT_INSTALL_OPTIONS)    \
 	  --install-textdomain $(OCAML_GETTEXT_PACKAGE)                       \
 	  --install-destdir $(PODIR) $(MOFILES)
@@ -86,5 +87,5 @@
 	-$(OCAML_GETTEXT) --action uninstall $(OCAML_GETTEXT_INSTALL_OPTIONS) \
 	  --uninstall-textdomain $(OCAML_GETTEXT_PACKAGE)                     \
 	  --uninstall-orgdir $(BUILDPO) $(MOFILES)
-	-$(RM) $(MOFILES) 
+	-$(RM) $(MOFILES)

=== test/data/TestFull/customdoc/Makefile ===
################################################################################
#  OASIS: architecture for building OCaml libraries and applications           #
#                                                                              #
#  Copyright (C) 2011-2013, Sylvain Le Gall                                    #
#  Copyright (C) 2008-2011, OCamlCore SARL                                     #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

all:

doc:
	ocamldoc -html A.ml

doc-clean:
	$(RM) *.html style.css

=== debian/changelog ===
oasis (0.4.5-1build3) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Jan 2016 13:27:41 +0000

oasis (0.4.5-1build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 21:37:13 -0600

oasis (0.4.5-1build1) wily; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 17:32:07 +0000

oasis (0.4.5-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Add camlp4 to Build-Depends
  * Disable tests

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Sep 2015 23:44:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
-  Sylvain Le Gall <gildor@debian.org>,
   Hendrik Tews <hendrik@askra.de>
 Build-Depends:
   debhelper (>= 9),
@@ -11,6 +10,7 @@
   ocaml-nox (>= 3.11.2),
   ocaml-best-compilers,
   ocaml-findlib (>= 1.3.1),
+  camlp4,
   ocamlify,
   ocamlmod (>= 0.0.7),
   libpcre-ocaml-dev,

## oasis 0.4.6

=== debian/changelog ===
oasis (0.4.6-1) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Team upload
  * New upstream release
    - Drop libexpect-ocaml-dev from Build-Depends
  * Install .cmt, cmti and .annot files in liboasis-ocaml-dev
  * Bump Standards-Version to 3.9.8, no changes required.

  [ Stéphane Glondu ]
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Aug 2016 10:40:53 +0200

=== debian/control ===
--- 
+++ 
@@ -18,15 +18,14 @@
   libodn-ocaml-dev (>= 0.0.11),
   libfindlib-ocaml-dev,
   libfileutils-ocaml-dev (>= 0.4.2),
-  libexpect-ocaml-dev (>= 0.0.4),
   zlib1g-dev,
   libidn11-dev,
   libextlib-ocaml-dev,
   libbitstring-ocaml-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://oasis.forge.ocamlcore.org/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/oasis.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/oasis.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git
 
 Package: oasis
 Architecture: any
